@import '../../../../styles/variables';
@import '../../../../styles/medias';
@import '../../../../styles/mixins';

:host {
  *::selection {
    background-color: transparent;
  }
  &::before,
  &::after {
    content: '';
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-repeat: no-repeat;
  }
  &::before {
    position: fixed;
    background-image: url('/assets/images/main-pattern.svg');
    background-position: bottom right;
    background-size: auto clamp(280px, 29vw, 550px);
  }
  &::after {
    position: absolute;
    background-image: url('/assets/images/circle-mask-2-1.svg');
    background-position: top left;
    background-size: auto clamp(200px, 15vw, 300px);
  }
  @include lt-md {
    &::before {
      content: none;
    }
  }
}

header {
  position: fixed;
  top: $padding;
  right: $padding;
  height: $main-header-height-gtsm;
  width: 100%;
  z-index: 2;

  .menu {
    @include generic-layout(100%);
    height: 100%;
    align-items: flex-end;
    &__row {
      height: 100%;
      @include generic-layout();
      align-items: flex-end;
      flex-direction: row;
      & > * + * {
        margin-left: $margin;
      }
      &__item {
        @include outer-neumorphism();
        @include rainbow-link();

        & + & {
          margin-left: $margin;
        }
        border-radius: $border-radius;
        height: 100%;
        width: 70px;
        outline: none;
        a,
        button {
          position: relative;
          z-index: 2;
          @include flex-center-layout();
          height: 100%;
          text-decoration: none;
          color: $color-white;

          background: transparent;
          border: none;
          width: 100%;
          cursor: pointer;
        }
      }
    }
  }
}

.nav {
  position: fixed;
  top: $padding;
  left: $padding;
  height: 100%;
  z-index: 2;
  @include generic-layout();
  width: $main-nav-width-gtsm;
  justify-content: flex-start;
  &__row {
    @include generic-layout(100%);
    align-items: center;

    height: 100%;
    width: 100%;
    position: static;
    max-height: calc(100vh - 2rem);

    @include outer-neumorphism();
    border-radius: $border-radius * 3;

    & > * + * {
      margin-top: 40px;
    }

    &__item {
      height: 50px;
      width: 50px;
      border-radius: 100%;
      z-index: 10;
      @include inner-neumorphism();
      @include rainbow-link();

      a {
        position: relative;
        z-index: 10;
        @include flex-center-layout();
        height: 100%;
        outline: none;
        color: $color-white;
        text-decoration: none;
        &.active {
          color: $color-accent2;
        }
      }
    }
  }
  transition: transform 0.5s $cubic-bezier;
  will-change: transform;
}

.hide-to-bottom {
  transform: translateY(115%);
}

main {
  position: relative;
  z-index: 1;
  padding: $padding;
  box-sizing: border-box;
  margin: calc(#{$main-header-height-gtsm} + #{$padding}) 0 0 calc(#{$main-nav-width-gtsm} + #{$padding * 4});
}

.circle-pattern,
.main-pattern {
  z-index: 0;
}

.main-pattern {
  position: fixed;
  bottom: 0;
  right: 0;
  height: clamp(280px, 29vw, 550px);
}

.circle-pattern {
  position: absolute;
  top: 0;
  left: -$padding;
  height: clamp(200px, 15vw, 300px);
  transform: rotate(-90deg);
}

@include lt-md {
  header {
    right: $padding / 2;
    top: $padding / 2;
    height: $main-header-height-ltsm;
    .menu {
      &__row {
        &__item {
          width: 50px;
        }
      }
    }
  }

  .nav {
    grid-area: nav;
    @include generic-layout();

    top: initial;
    bottom: $padding / 2;
    left: $padding / 2;

    height: $main-nav-width-ltsm;
    max-width: calc(100vw - (2 * #{$padding}) / 2);
    width: 100%;
    &__row {
      flex-direction: row;
      justify-content: space-evenly;

      width: 100%;
      & > * + * {
        margin-top: 0px;
        margin-left: 20px;
      }

      &__item {
        height: 40px;
        width: 40px;
      }
    }
  }

  main {
    margin: calc(#{$main-header-height-ltsm} + #{$padding} / 2) 0 0 0;
  }

  .main-pattern {
    display: none;
  }
}
